package gr.forth.ics.vrp.vrpgui;

import gr.forth.ics.vrp.corevrp.Main;
import java.util.*;

/**
 * Tests VRP API
 * @author Karsten Tolle & Sofia Alexaki
 * @version 2.5  (30 Januar 2003)
 */
public class TestAPI {

	public TestAPI() {
	  Main vrp = new Main();
          //set validation constraints
	  vrp.setclassLoop(true);
	  vrp.setpropertyLoop(true);
	  vrp.setsourceTargetTypes(true);
	  vrp.setsubsetSubpropertyDomainRange(true);
	  vrp.settyping(true);
	  vrp.setfetch_all(true);
	  vrp.setsvg(true);
      	  vrp.setsvgoutput("svg.svg");
          //Select the namespaces tha will be appeared in the output
	  HashSet hs = new HashSet();
	  hs.add("http://www.w3.org/1999/02/22-rdf-syntax-ns#");
	  hs.add("http://www.w3.org/2000/01/rdf-schema#");
	  vrp.setSelectedNS(hs);
	  vrp.start("D:\\tmp_local_users\\alexaki\\RDF_examples\\culture_without_thesaurus\\culture_data.rdf");
	}

	public static void main(String[] args) {
		new TestAPI();
	}

}
